Parma_Polyhedra_Library::Watchdog Class Reference

A watchdog timer. More...

`#include <ppl.hh>`

## Public Member Functions

| Watchdog (long csecs, void(*const function)())
| Constructor: if not reset, the watchdog will trigger after `csecs` centiseconds, invoking handler `function`.
| ~Watchdog ()
| Destructor.

## Static Public Member Functions

static void | initialize ()
| Static class initialization.
static void | finalize ()
| Static class finalization.

## Detailed Description

A watchdog timer.

The documentation for this class was generated from the following file:

- ppl.hh